/*
	TOMCON.H  by Y.Kurihara (Nif PDC01620)
		ʃwb_
*/

#define  X0	(0)
#define  XL	(80)
#define  Y0	(6)
#define  YL	(24)

#define VRAM( offset )   ( (char far *)MK_FP( 0xc000,( offset ) ) )
#define ANKCG( offset )  ( (char far *)MK_FP( 0xcb00,( offset ) ) )
#define PORTpage   (0xff83)
#define PORTplane  (0xff81)
#define PORTank    (0xff99)
#define PORTkch    (0xff94)	/* R[h */
#define PORTkcl    (0xff95)
#define PORTkfl    (0xff96)	/* tHg */
#define PORTkfr    (0xff97)
#define Y1page     (16)

extern int  x0,y0;		/*  TOMCON2.C  */
extern int  xl,yl;
extern int  lx,ly;
extern int  reverse;
extern int  fl_cur;
void int29( int code );
void set_int29( void );
void reset_int29( void );

extern char  far TSR_ID[];	/* TOMCON3.A86  */
extern short far new_ds;
extern short far new_es;
extern short far new_ss;
extern short far new_sp;
void far _int29( void );

void putank( int code );	/* TOMCON4.C */
void putkan( unsigned code );
void roll( int y1,int y2 );
void roll2( int y1,int y2 );
void clr( int y1,int y2 );
void cur( int m );
